Bug 248266 - devel/shards: update to 0.12.0
Summary: devel/shards: update to 0.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-25 16:36 UTC by Mohamed Akram
Modified: 2020-10-11 08:59 UTC (History)
3 users (show)

See Also:
mikael: maintainer-feedback+


Attachments
shards0111.patch (2.03 KB, patch)
2020-07-30 20:14 UTC, Greg V
greg: maintainer-approval+
Details | Diff
shards0120.patch (1.59 KB, patch)
2020-09-04 14:51 UTC, Greg V
greg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohamed Akram 2020-07-25 16:36:05 UTC

    
Comment 1 Greg V 2020-07-30 20:14:51 UTC
Created attachment 216890 [details]
shards0111.patch

+ fix the flags while here (they were not respected by the makefile anymore..)
Comment 2 Mohamed Akram 2020-08-07 11:35:37 UTC
0.12.0 is out (https://crystal-lang.org/2020/08/06/shards-0.12.0-released.html).
Comment 3 Li-Wen Hsu freebsd_committer 2020-09-03 06:06:53 UTC
Greg: do you want to update the patch to update this port to 0.12.0?
Comment 4 Greg V 2020-09-04 14:51:00 UTC
Created attachment 217747 [details]
shards0120.patch

sure
Comment 5 Mohamed Akram 2020-10-08 08:43:02 UTC
Any update on this?
Comment 6 Mikael Urankar freebsd_committer 2020-10-08 12:43:04 UTC
it doesn't build for me:


=======================<phase: lib-depends    >============================
===>   shards-0.12.0 depends on shared library: libyaml.so - not found
===>   Installing existing package /packages/All/libyaml-0.2.5.txz
[13amd64-default] Installing libyaml-0.2.5...
[13amd64-default] Extracting libyaml-0.2.5: ......... done
===>   shards-0.12.0 depends on shared library: libyaml.so - found (/usr/local/lib/libyaml.so)
===>   Returning to build of shards-0.12.0
===>   shards-0.12.0 depends on shared library: libpcre.so - found (/usr/local/lib/libpcre.so)
===>   shards-0.12.0 depends on shared library: libgc-threaded.so - found (/usr/local/lib/libgc-threaded.so)
===>   shards-0.12.0 depends on shared library: libevent.so - found (/usr/local/lib/libevent.so)
===========================================================================
=>> Recording filesystem state for prebuild... done
=======================<phase: configure      >============================
===>   shards-0.12.0 depends on executable: crystal - found
===>   shards-0.12.0 depends on package: gmake>=4.3 - found
===>   shards-0.12.0 depends on file: /usr/local/bin/ccache - found
===>   shards-0.12.0 depends on shared library: libyaml.so - found (/usr/local/lib/libyaml.so)
===>   shards-0.12.0 depends on shared library: libpcre.so - found (/usr/local/lib/libpcre.so)
===>   shards-0.12.0 depends on shared library: libgc-threaded.so - found (/usr/local/lib/libgc-threaded.so)
===>   shards-0.12.0 depends on shared library: libevent.so - found (/usr/local/lib/libevent.so)
===>  Configuring for shards-0.12.0
===========================================================================
=======================<phase: build          >============================
===>  Building for shards-0.12.0
gmake[1]: Entering directory '/wrkdirs/usr/ports/devel/shards/work/shards-0.12.0'
/usr/local/bin/crystal build --release --no-debug  src/shards.cr -o bin/shards
ld: error: unable to find library -lpcre (this usually means you need to install the development package for libpcre)
ld: error: unable to find library -lgc-threaded (this usually means you need to install the development package for libgc-threaded)
ld: error: unable to find library -levent (this usually means you need to install the development package for libevent)
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Error: execution of command failed with code: 1: `cc "${@}" -o /wrkdirs/usr/ports/devel/shards/work/.cache/crystal/usr-local-lib-crystal-ecr-process.cr/macro_run  -rdynamic -lpcre -lm -lgc-threaded -lpthread /usr/local/lib/crystal/ext/libcrystal.a -levent -lpthread`
gmake[1]: *** [Makefile:32: bin/shards] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/devel/shards/work/shards-0.12.0'
===> Compilation failed unexpectedly.
Comment 7 Greg V 2020-10-08 21:05:23 UTC
(In reply to Mikael Urankar from comment #6)

Yeah, I've seen this in a poudriere mail about the current package too.
Looks like the previous version of Crystal added -L/usr/local/lib by default,
but now it needs pkg-config.

Can you quickly add RUN_DEPENDS=pkg-config:devel/pkgconf to lang/crystal and bump the revision?
Comment 8 Mikael Urankar freebsd_committer 2020-10-09 11:04:36 UTC
(In reply to Greg V from comment #7)
yeah, that fixes the issue, approval to commit?
Comment 9 Greg V 2020-10-09 16:25:24 UTC
(In reply to Mikael Urankar from comment #8)
Of course. Asking was already approval to commit :)
Comment 10 commit-hook freebsd_committer 2020-10-11 08:57:04 UTC
A commit references this bug:

Author: mikael
Date: Sun Oct 11 08:56:28 UTC 2020
New revision: 552036
URL: https://svnweb.freebsd.org/changeset/ports/552036

Log:
  lang/crystal: Add missing dependency on pkg-config

  Previous version of Crystal added -L/usr/local/lib by default,
  but now it needs pkg-config.

  PR:		248266
  Submitted by:	Greg V (greg@unrelenting.technology)

Changes:
  head/lang/crystal/Makefile
Comment 11 commit-hook freebsd_committer 2020-10-11 08:59:08 UTC
A commit references this bug:

Author: mikael
Date: Sun Oct 11 08:58:12 UTC 2020
New revision: 552038
URL: https://svnweb.freebsd.org/changeset/ports/552038

Log:
  devel/shards: Update to 0.12.0

   - Update to 0.12.0
   - fix the flags while here (they were not respected by the makefile anymore..)

  Changelog:
    https://github.com/crystal-lang/shards/releases/tag/v0.12.0

  PR:		248266
  Submitted by:	Greg V (greg@unrelenting.technology)

Changes:
  head/devel/shards/Makefile
  head/devel/shards/distinfo
Comment 12 Mikael Urankar freebsd_committer 2020-10-11 08:59:30 UTC
Thanks!